## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global pypi_name hstspreload

Name:           python-%{pypi_name}
Version:        2022.8.1
Release:        %autorelease
Summary:        Chromium HSTS Preload list

License:        BSD
URL:            https://github.com/sethmlarson/hstspreload
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Chromium HSTS Preload list as a Python package. The package provides a
single function: in_hsts_preload() which takes an IDNA-encoded host and
returns either True or False regarding whether that host should be only
accessed via HTTPS.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Chromium HSTS Preload list as a Python package. The package provides a
single function: in_hsts_preload() which takes an IDNA-encoded host and
returns either True or False regarding whether that host should be only
accessed via HTTPS.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 19 2022 Fabian Affolter <mail@fabian-affolter.ch> 2022.8.1-1
- Update to latest upstream release 2022.8.1 (closes rhbz#2105840)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2021.12.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 2021.12.1-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2021.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 04 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.12.1-1
- Update to latest upstream release 2021.12.1 (closes rhbz#2028656)

* Fri Nov 05 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.11.1-1
- Update to latest upstream release 2021.11.1 (closes rhbz#2018853)

* Sat Oct 02 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.10.1-1
- Update to latest upstream release 2021.10.1 (closes rhbz#2009586)

* Wed Sep 01 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.9.1-1
- Update to latest upstream release 2021.9.1 (closes rhbz#1999900)

* Mon Aug 09 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.8.1-1
- * Mon Aug 09 2021 Fabian Affolter <mail@fabian-affolter.ch> - 2021.8.1-1
  - Update to latest upstream release 2021.8.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 2021.6.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 24 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.6.21-1
- * Thu Jun 24 2021 Fabian Affolter <mail@fabian-affolter.ch> - 2021.6.21-1
  - Update to latest upstream release 2021.6.21

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 2021.5.31-2
- Rebuilt for Python 3.10

* Thu Jun 03 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.5.31-1
- * Thu Jun 03 2021 Fabian Affolter <mail@fabian-affolter.ch> - 2021.5.31-1
  - Update to latest upstream release 2021.5.31

* Sun May 30 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.5.24-1
- * Sun May 30 2021 Fabian Affolter <mail@fabian-affolter.ch> - 2021.5.24-1
  - Update to latest upstream release 2021.5.24

* Mon Apr 26 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.4.26-1
- * Mon Apr 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 2021.4.26-1
  - Update to latest upstream release 2021.4.26

* Wed Feb 24 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.2.15-1
- * Wed Feb 24 2021 Fabian Affolter <mail@fabian-affolter.ch> - 2021.2.15-1
  - Update to new upstream release 2021.2.15

* Sun Feb 14 2021 Fabian Affolter <mail@fabian-affolter.ch> 2021.2.1-1
- * Sun Feb 14 2021 Fabian Affolter <mail@fabian-affolter.ch> - 2021.2.1-1
  - Update to new upstream release 2021.2.1

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 2020.12.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 22 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.12.22-1
- * Tue Dec 22 2020 Fabian Affolter <mail@fabian-affolter.ch> -
  2020.12.22-1 - Update to new upstream release 2020.11.21 (#1910109)

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.11.21-1
- * Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> -
  2020.11.21-1 - Update to new upstream release 2020.11.21 (#1900151)

* Tue Oct 20 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.10.20-1
- * Tue Oct 20 2020 Fabian Affolter <mail@fabian-affolter.ch> -
  2020.10.20-1 - Update to new upstream release 2020.10.20 (#1889570)

* Tue Oct 06 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.10.6-1
- * Tue Oct 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.10.6-1
  - Update to new upstream release 2020.10.6 (#1885451)

* Tue Sep 29 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.9.29-1
- * Tue Sep 29 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.9.29-1
  - Update to new upstream release 2020.9.29 (#1883393)

* Fri Sep 25 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.9.25-1
- * Fri Sep 25 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.9.25-1
  - Update to new upstream release 2020.9.25 (#1881756)

* Fri Sep 25 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.9.23-1
- * Thu Sep 24 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.9.23-1
  - Update to new upstream release 2020.9.23 (#1881756)

* Tue Sep 22 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.9.22-1
- * Tue Sep 22 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.9.22-1
  - Update to new upstream release 2020.9.22 (#1881267)

* Tue Sep 15 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.9.15-1
- * Tue Sep 15 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.9.15-1
  - Update to new upstream release 2020.9.15 (rhbz#1878942)

* Wed Sep 09 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.9.9-1
- * Wed Sep 09 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.9.9-1
  - Update to new upstream release 2020.9.9 (rhbz#1877191)

* Wed Sep 02 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.9.2-1
- * Wed Sep 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.9.2-1
  - Update to new upstream release 2020.9.2 (rhbz#1874701)

* Tue Aug 18 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.8.18-1
- * Tue Aug 18 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.8.18-1
  - Update to new upstream release 2020.8.18

* Wed Aug 12 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.8.12-1
- * Wed Aug 12 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.8.12-1
  - Update to new upstream release 2020.8.12

* Sun Aug 09 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.8.8-1
- * Sun Aug 09 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.8.8-1
  - Update to new upstream release 2020.8.8

* Fri Jul 31 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.7.29-1
- * Fri Jul 31 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.7.29-1
  - Update to new upstream release 2020.7.29

* Tue Jul 28 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.7.22-1
- * Tue Jul 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.7.22-1
  - Update to new upstream release 2020.7.22

* Mon Jul 13 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.7.7-1
- * Mon Jul 13 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.7.7-1
  - Update to new upstream release 2020.7.7

* Fri Jul 03 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.6.30-1
- * Fri Jul 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.6.30-1
  - Update to new upstream release 2020.6.30

* Sat Jun 27 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.6.23-1
- * Sat Jun 27 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.6.23-1
  - Update to new upstream release 2020.6.23

* Sat Jun 27 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.6.16-1
- * Fri Jun 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.6.16-1
  - Update to new upstream release 2020.6.16

* Sat Jun 27 2020 Fabian Affolter <mail@fabian-affolter.ch> 2020.6.5-1
- * Fri Jun 05 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2020.6.5-1
  - Initial package for Fedora
